import 'dart:convert';

// ignore: import_of_legacy_library_into_null_safe
import 'package:isolate/isolate.dart';

class Transformer {
  static Future<LoadBalancer> loadBalancer =
      LoadBalancer.create(2, IsolateRunner.spawn);

  static dynamic _transformer(dynamic jsonStr) {
    try {
      return jsonDecode(jsonStr);
    } catch (e) {
      throw e;
    }
  }

  static dynamic transformer(dynamic jsonStr) async {
    final lb = await loadBalancer;
    final res = await lb.run<dynamic, dynamic>(_transformer, jsonStr);
    return res;
//    return compute(_transformer, jsonStr);
  }
}
